import 'dart:async';
import '../../../../product/base/bloc/base_bloc.dart';

class LoginBloc extends BlocBase{
  
  final loginRequest = StreamController<Map<String,dynamic>>.broadcast();
  StreamSink<Map<String,dynamic>> get sinkLoginRequest => loginRequest.sink;
  Stream<Map<String,dynamic>> get streamLoginRequest => loginRequest.stream;
  
  final isShowPassword = StreamController<bool>.broadcast();
  StreamSink<bool> get sinkIsShowPassword => isShowPassword.sink;
  Stream<bool> get streamIsShowPassword => isShowPassword.stream;

  @override
  void dispose() {
  }

}